Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalScrollBarUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ScrollBarUI
                  |
                  +--javax.swing.plaf.basic.BasicScrollBarUI
                        |
                        +--javax.swing.plaf.metal.MetalScrollBarUI

public class MetalScrollBarUI
extends BasicScrollBarUI

Implementation of ScrollBarUI for the Metal Look and Feel

Inner classes inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`BasicScrollBarUI.ArrowButtonListener, BasicScrollBarUI.ModelListener, BasicScrollBarUI.PropertyChangeHandler, BasicScrollBarUI.ScrollListener, BasicScrollBarUI.TrackListener`

Field Summary
`protected javax.swing.plaf.metal.MetalBumps` | `bumps`
`protected MetalScrollButton` | `decreaseButton`
`static java.lang.String` | `FREE_STANDING_PROP`
`protected MetalScrollButton` | `increaseButton`
`protected boolean` | `isFreeStanding`
`protected int` | `scrollBarWidth`

Fields inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`buttonListener, decrButton, DECREASE_HIGHLIGHT, incrButton, INCREASE_HIGHLIGHT, isDragging, maximumThumbSize, minimumThumbSize, modelListener, NO_HIGHLIGHT, propertyChangeListener, scrollbar, scrollListener, scrollTimer, thumbColor, thumbDarkShadowColor, thumbHighlightColor, thumbLightShadowColor, thumbRect, trackColor, trackHighlight, trackHighlightColor, trackListener, trackRect`

Constructor Summary
`MetalScrollBarUI()`

Method Summary
`protected void` | `configureScrollBarColors()`
`protected JButton` | `createDecreaseButton(int orientation)` Returns the view that represents the decrease view.
`protected JButton` | `createIncreaseButton(int orientation)` Returns the view that represents the increase view.
`protected java.beans.PropertyChangeListener` | `createPropertyChangeListener()`
`static ComponentUI` | `createUI(JComponent c)`
`protected java.awt.Dimension` | `getMinimumThumbSize()`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installDefaults()`
`protected void` | `installListeners()`
`protected void` | `paintThumb(java.awt.Graphics g, JComponent c, java.awt.Rectangle thumbBounds)`
`protected void` | `paintTrack(java.awt.Graphics g, JComponent c, java.awt.Rectangle trackBounds)`
`protected void` | `setThumbBounds(int x, int y, int width, int height)` This is overridden only to increase the invalid area.

Methods inherited from class javax.swing.plaf.basic.BasicScrollBarUI
`addLayoutComponent, createArrowButtonListener, createModelListener, createScrollListener, createTrackListener, getMaximumSize, getMaximumThumbSize, getMinimumSize, getThumbBounds, getTrackBounds, installComponents, installKeyboardActions, installUI, layoutContainer, layoutHScrollbar, layoutVScrollbar, minimumLayoutSize, paint, paintDecreaseHighlight, paintIncreaseHighlight, preferredLayoutSize, removeLayoutComponent, scrollByBlock, scrollByUnit, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bumps

    protected javax.swing.plaf.metal.MetalBumps bumps

### increaseButton

    protected MetalScrollButton increaseButton

### decreaseButton

    protected MetalScrollButton decreaseButton

### scrollBarWidth

    protected int scrollBarWidth

### FREE_STANDING_PROP

    public static final java.lang.String FREE_STANDING_PROP

### isFreeStanding

    protected boolean isFreeStanding

Constructor Detail

### MetalScrollBarUI

    public MetalScrollBarUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installDefaults

    protected void installDefaults()

  Overrides:
    installDefaults in class BasicScrollBarUI

### installListeners

    protected void installListeners()

  Overrides:
    installListeners in class BasicScrollBarUI

### createPropertyChangeListener

    protected java.beans.PropertyChangeListener createPropertyChangeListener()

  Overrides:
    createPropertyChangeListener in class BasicScrollBarUI

### configureScrollBarColors

    protected void configureScrollBarColors()

  Overrides:
    configureScrollBarColors in class BasicScrollBarUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class BasicScrollBarUI

### createDecreaseButton

    protected JButton createDecreaseButton(int orientation)

  Returns the view that represents the decrease view.
  Overrides:
    createDecreaseButton in class BasicScrollBarUI

### createIncreaseButton

    protected JButton createIncreaseButton(int orientation)

  Returns the view that represents the increase view.
  Overrides:
    createIncreaseButton in class BasicScrollBarUI

### paintTrack

    protected void paintTrack(java.awt.Graphics g,
                              JComponent c,
                              java.awt.Rectangle trackBounds)

  Overrides:
    paintTrack in class BasicScrollBarUI

### paintThumb

    protected void paintThumb(java.awt.Graphics g,
                              JComponent c,
                              java.awt.Rectangle thumbBounds)

  Overrides:
    paintThumb in class BasicScrollBarUI

### getMinimumThumbSize

    protected java.awt.Dimension getMinimumThumbSize()

  Overrides:
    getMinimumThumbSize in class BasicScrollBarUI

### setThumbBounds

    protected void setThumbBounds(int x,
                                  int y,
                                  int width,
                                  int height)

  This is overridden only to increase the invalid area. This ensures that the "Shadow" below the thumb is invalidated
  Overrides:
    setThumbBounds in class BasicScrollBarUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.